---
title: "The Generation Ship Problem"
tags: ["Volatile Mediums"]
date: 2021-03-19T15:00:00-04:00
draft: false
---
After talking about the hardware and software problems of
digital permanence, I'm struck by a classical Sci-Fi
motif with a conundrum: the **Generation Ship**; a ship
outfitted with all of the technology, infrastructure, and
storage to support lightyear-scale human travel.

But what about that technology on the ship? If we build
one of these ships, we need to accomplish one of several
things in regards to information storage:

### 1. Innovate to the point where the lifetime of the storage devices is able to support lightyear scale travel.
That's a tall order, given where we are right now with
physical storage devices. As I mentioned in one of my
previous posts, the average lifetime of physical storage
devices is less than 100 years, no matter if it is a hard 
drive, solid-state drive, etc.

### 2. Provide the facility to create new storage devices to replace the failing old ones.
Again, in my mind a tall order, since it would require
facilities on the ship to create storage devices. The
problem of having materials is at least solvable by just
sending the ship with all of the materials it needs in
advance.

### 3. Provide the facility to revitalize storage devices.
One of the main reasons I'm even thinking about this is
because I'm an individual with limited resources.
Accordingly, I think about things in terms of
broken/working, on/off, etc. With enough resources, there
is a much larger chance of being able to repair, re-purpose,
and otherwise revitalize storage devices, increasing their
lifetime. E.g., if the only failure in the hard drive is the
control circuit, that is an "easy enough" repair.

I like to toy with the idea of a generation ship a lot in
my head, but I think it's really fun to think about the
technical possibilities and needs of a ship like this.
